{%- set activeSubMenu = false -%}
{%- if (appRoute == 'app_homepage') or (appRoute == 'app_homepageHot')
    or (appRoute == 'app_homepagePromoted') or (appRoute == 'app_homepageNewest') -%}
    {%- set activeSubMenu = true -%}
{%- endif -%}

<header class="{{- hiddenHeader -}}">

    <div class="container">
        <div class="row">
            <div class="hidden-lg hidden-md col-sm-3 col-xs-3">
                <div class="ti-menu-content">
                    <div class="dropdown">
                        <span id="dropdown-user" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                            {#<i class="ti-menu"></i>#}
                            <svg height="32px" id="Layer_1" style="enable-background:new 0 0 32 32;" version="1.1" viewBox="0 0 32 32" width="32px" xml:space="preserve" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink"><path fill="#ffffff" d="M4,10h24c1.104,0,2-0.896,2-2s-0.896-2-2-2H4C2.896,6,2,6.896,2,8S2.896,10,4,10z M28,14H4c-1.104,0-2,0.896-2,2  s0.896,2,2,2h24c1.104,0,2-0.896,2-2S29.104,14,28,14z M28,22H4c-1.104,0-2,0.896-2,2s0.896,2,2,2h24c1.104,0,2-0.896,2-2  S29.104,22,28,22z"/></svg>
                        </span>
                        <ul class="dropdown-menu dropdown-menu-ti" aria-labelledby="dropdown-user">
                            {%- if appRoute == 'app_post' or appRoute == 'app_posts_by_tag_trending' or appRoute == 'app_posts_by_tag_created' or appRoute == 'app_posts_by_tag_hot' or appRoute == 'app_posts_by_tag_promoted' -%}
                                <li class="name">
                                    <a class="">
                                        {{- '#' ~ tag_name -}}
                                    </a>
                                </li>
                                <li>
                                    <a class="" href="{{- path('app_posts_by_tag_trending', { tag: tag_name }) -}}" data-lang="{{- 'global.header.menu.trending' -}}">
                                        {{- 'global.header.menu.trending'|trans -}}
                                    </a>
                                </li>
                                <li>
                                    <a class="" href="{{- path('app_posts_by_tag_created', { tag: tag_name }) -}}" data-lang="{{- 'global.header.menu.created' -}}">
                                        {{- 'global.header.menu.created'|trans -}}
                                    </a>
                                </li>
                                <li>
                                    <a class="" href="{{- path('app_posts_by_tag_hot', { tag: tag_name }) -}}" data-lang="{{- 'global.header.menu.hot' -}}">
                                        {{- 'global.header.menu.hot'|trans -}}
                                    </a>
                                </li>
                            {%- else -%}
                                <li class="name">
                                    <a href="{{- path('app_homepage') -}}">
                                        {{- 'global.name'|trans -}}
                                    </a>
                                </li>
                                <li>
                                    <a class="" href="{{- path('app_homepage') -}}" data-lang="{{- 'global.header.menu.trending' -}}">
                                        {{- 'global.header.menu.trending'|trans -}}
                                    </a>
                                </li>
                                <li>
                                    <a class="" href="{{- path('app_created') -}}" data-lang="{{- 'global.header.menu.created' -}}">
                                        {{- 'global.header.menu.created'|trans -}}
                                    </a>
                                </li>
                                <li>
                                    <a class="" href="{{- path('app_hot') -}}" data-lang="{{- 'global.header.menu.hot' -}}">
                                        {{- 'global.header.menu.hot'|trans -}}
                                    </a>
                                </li>
                            {%- endif -%}
                        </ul>
                    </div>
                </div>


            </div>
            <div class="hidden-lg hidden-md col-sm-6 col-xs-6 text-center">
                {%- if appRoute == 'app_post' or appRoute == 'app_posts_by_tag_trending' or appRoute == 'app_posts_by_tag_created' or appRoute == 'app_posts_by_tag_hot' or appRoute == 'app_posts_by_tag_promoted' -%}
                    {%- include ':source/header:tagMenu.html.twig' -%}
                {%- else -%}
                    <a href="{{- path('app_homepage') -}}" class="logo header" title="{{- "global.name"|trans -}}">
                        {{- 'global.name'|trans -}}
                    </a>
                {%- endif -%}

            </div>
            {#<div class="hidden-lg hidden-md col-sm-3 col-xs-3"></div>#}


            <div class="col-lg-9 col-md-9 hidden-sm hidden-xs">
                <a href="{{- path('app_homepage') -}}" class="logo header" title="{{- "global.name"|trans -}}">
                    {{- 'global.name'|trans -}}
                </a>
                {%- if appRoute == 'app_post' or appRoute == 'app_posts_by_tag_trending' or appRoute == 'app_posts_by_tag_created' or appRoute == 'app_posts_by_tag_hot' or appRoute == 'app_posts_by_tag_promoted' -%}
                    {%- include ':source/header:tagMenu.html.twig' -%}
                {%- else -%}
                    <a class="btn btn-header-menu {% if appRoute == 'app_homepage' -%}active{%- endif -%}" href="{{- path('app_homepage') -}}" data-lang="{{- 'global.header.menu.trending' -}}">
                        {{- 'global.header.menu.trending'|trans -}}
                    </a>
                    <a class="btn btn-header-menu {% if appRoute == 'app_created' -%}active{%- endif -%}" href="{{- path('app_created') -}}" data-lang="{{- 'global.header.menu.created' -}}">
                        {{- 'global.header.menu.created'|trans -}}
                    </a>
                    <a class="btn btn-header-menu {% if appRoute == 'app_hot' -%}active{%- endif -%}" href="{{- path('app_hot') -}}" data-lang="{{- 'global.header.menu.hot' -}}">
                        {{- 'global.header.menu.hot'|trans -}}
                    </a>
                    {#<a class="btn btn-header-menu {% if appRoute == 'app_promoted' -%}active{%- endif -%}" href="{{- path('app_promoted') -}}" data-lang="{{- 'global.header.menu.promoted' -}}">#}
                        {#{{- 'global.header.menu.promoted'|trans -}}#}
                    {#</a>#}
                {%- endif -%}
                <a href="{{- path('app_post_new') -}}" class="btn btn-header-menu add-content strimi_app" data-lang="{{- 'global.header.addContent' -}}">
                    {{- 'global.header.addContent'|trans -}}
                </a>
                <a href="{{- path('stream_homepage') -}}" class="btn btn-header-menu {% if appRoute == 'stream_homepage' or appRoute == 'stream_post' %}tagActive{% endif %}" style="float: right">
                    {{- 'Stream' -}}
                </a>
            </div>
            <div class="col-lg-3 col-md-3 col-sm-3 col-xs-3 text-right">

                <div class="menu" id="my-strimi">
                    <span class="btn large btn-header-login" data-toggle="modal" data-target="#modalLogin">
                        <span class="hidden-sm hidden-xs" data-lang="{{- 'global.header.myStrimi' -}}">
                            {{- 'global.header.myStrimi'|trans -}}
                        </span>
                        <span class="hidden-lg hidden-md">
                            <i class="icon-ghost"></i>
                        </span>
                    </span>
                </div>
                {%- include 'source/header/account.html.twig' -%}
            </div>
        </div>
    </div>
</header>
